
 [1mPPaint.man[0m

 [1mChanges in Personal Paint version 4.0 since version 2.0[0m

 [3mNew features of Personal Paint include:[0m

  - Support of Retargetable Graphics (Picasso, Retina etc.)

  - Professional 24-bit printing (Color and Black & White)

  - High quality conversion of IFF24, PCX24, HAM & HAM8 to 256 colors

  - Loading of files through Amiga DataTypes (JPEG, BMP etc.)

  - A collection of third-party utilities, including color fonts,
    new DeskJet printer drivers (up to four inks) and JPEG DataType

 [3mA  description of new features follows. Sections are numbered and ordered
 as they appear in  the manual. The contents  of this file can  be printed
 with  a word  processor, or  by typing  the following  command in a Shell
 window:[0m

    Copy PPaint:PPaint.man PRT:



 [1m1.9.4      Gadgets[0m

 Underlined characters  indicate keyboard  shortcuts to  gadgets. See also
 changes  in section 1.14  (External User Interface  Files) and Appendix B
 (Command Shortcuts).


 [1m1.10.9     The <Caps Lock> Key[0m

 The <Caps Lock>  function is associated  to a new  "smooth move" mode  of
 Personal  Paint,  especially  useful  in  very  high  resolution screens.
 Normally, mouse movement messages which cannot be processed in real  time
 are  discarded by the Amiga operating  system. When the <Caps Lock> light
 is on,  Personal Paint  allows for  messages to  be accumulated,  so that
 tools  like  Continuous/Dotted  Freehand  and  Airbrush can process mouse
 moves without loss of information.

 <Caps  Lock>  also  allows  to  ignore  the current background color when
 defining  a brush. With this setting, brushes defined in Rectangular mode
 have  no  transparency  (NO_TRANSP  flag  in  IFF-ILBM  files),  while in
 Freehand  mode the entire region outside the marked area is considered to
 be transparent.


 [1m1.12       Configuring and Loading Personal Paint[0m

 The program disk is no longer bootable. Wide diffusion of different,  new
 versions  of the  Amiga operating  system on  different machines  made it
 impractical to use Workbench 1.3 as  a common denominator to boot on  all
 systems.  The space previously occupied by  Workbench files has been used
 to move  all drawers  previously on  a second  disk to  the program disk.
 Optional  additional disks may still be  used to store picture files. The
 install routine can now copy these to the hard disk as requested.


 [1m1.14       External User Interface Files[0m

 The underscore character can now  be used in sections TXW  (window texts)
 and  TXG (gadget texts).  The following character  will be underlined and
 used as a keyboard shortcut, in accordance with the Amiga user  interface
 specifications.

 Supported gadget types are: cycle gadgets, checkboxes, sliders, listviews
 (scrollboxes) and action gadget texts (e.g. "_OK").

 When  input by the user, lower  case letters are treated differently than
 capitals in cycle gadgets, proportional gadgets and listviews. The former
 force the gadget to "go forward", while the latter make it "go back".  In
 other  gadget  types,  upper  and  lower  case  letters  are  treated  as
 identical.


 [1m3.1.2      The Painting Tools[0m

 While a mouse button is held  down (e.g. to define a brush),  cursor keys
 can  be used to scroll the image, and Magnify Mode can be switched on and
 off using the keyboard shortcut (default = <m>).


 [1m3.1.3.2    The Font Requester[0m

 A second scrollable list now contains the different sizes and  attributes
 available  for  the  currently  hilighted  font.  The  sample text can be
 dragged and scrolled with the left or middle mouse button.


 [1m3.4        The File Requester[0m

 One  unified  list,  associated  to  a  single  gadget, now includes both
 logical  and physical device and assigned  names. This has left space for
 the Delete gadget, which can also be used to delete empty directories.  A
 new  directory can be created by  extending the Path string. "def_Drawer"
 is now installed in "PPaint:PPaint_Icons"  in order to allow the  program
 to associate a Workbench icon to the drawers which are created.


 [1m4.1        Load Image[0m

 Recognition of previously supported file formats has been improved. State
 of the art color quantization and reduction algorithms have been employed
 to  load  24-bit  images  and  transform  them into 256-color images. The
 quality of the resulting  256-color images is not  easily distinguishable
 from  a 24-bit  display. Color  reduction is  always qualitative (section
 8.6). The  selected Color  Remapping option  (section 8.7)  is taken into
 account by the new 24-bit procedures.

 IFF24, PCX24, HAM and HAM8 are processed by the program as 24-bit images.
 Personal  Paint now also uses the DataType loaders supported from version
 3.0 of the Amiga operating system.


 [1m4.3.2.1    Dithering[0m

 Custom dithering  routines have  been written  using the  latest software
 technologies in order to yield maximum quality in 24-bit printing.

 Ordered  dithering  remains  the  default,  and  gives  good quality at a
 reasonable speed (dispersed 16x16 matrix - more technical information  in
 section  3.1.4.2).  Halftone  dithering  (clustered  7x7  matrix)  may be
 suitable for pictures containing mostly saturated colors. Floyd-Steinberg
 still gives best results, but takes longer to compute.


 [1m4.3.2.4    Shade[0m

 Personal Paint now  features 24-bit printing  (16 million colors),  which
 overcomes the traditional limitation of 4096 colors and 16 grey shades of
 the  Amiga printer device.  (Personal Paint's PostScript  mode has always
 been  24-bit.)  The  new  modes  are  activated by the "24-bit Color" and
 "8-bit Grey" settings in the Shade cycle gadget.

 24-bit  printing uses special  dithering routines to  create color shades
 from a limited set of primary printer colors (more in section 4.3.2.1). A
 few printers  work in  "true color",  and do  not require  the program to
 create dithering patterns. For example, the Fargo Primera dye-sublimation
 color  printer comes with its  own 24-bit driver. In  such a case, normal
 system printing can be used.

 Even in 24-bit  printing, it is  still necessary to  have the appropriate
 Amiga  printer  driver  selected  through  the  Amiga Preferences (unless
 Personal Paint is operating in its own PostScript mode).

 Further adjustments  to improve  print quality  can be  made in the Gamma
 Correction  and  Undercolor  Removal  requester  which  is  displayed  by
 clicking on Correct/Set (section 4.3.2.8).

 Personal Paint's color correction and dithering routines were designed to
 go  directly  to  the  printer.  Some  "24-bit"  printing  utilities  are
 available  for the Amiga in replacement  of normal printer drivers. These
 utilities do  not receive  24-bit data  from applications  (at least  not
 until version 3.2 of the Amiga operating system). They should not be used
 in combination with Personal Paint's 24-bit printing modes, unless all of
 their   color  correction  options  are  disabled.  Otherwise,  different
 dithering patterns and color correction procedures overlap and  interfere
 with each other, with very poor results.

 Some  Amigas are slowed down by system  DMA operations when images in 256
 colors are displayed.  Bringing a 4-color  Workbench screen to  the front
 can speed up other programs, including printing with Personal Paint.

 For  optimum results in 24-bit printing, it is advised to set the highest
 Density allowed by the  printer driver (section 4.3.2.6).  In particular,
 using  the HP  DeskJet printers  with the  drivers included with Personal
 Paint, Dithering should  be set to  Floyd-Steinberg, Threshold should  be
 set  to  1  (this  turns  off  depletion  by the driver) and Density to 7
 (maximum shingling).  While these  settings reduce  printing speed,  they
 maximize print quality. With these settings, it is normally not necessary
 to  make further adjustments to Personal Paint's Color Correction tables.
 Special  ink-jet  paper,  or  paper  used  for  color  copiers  give best
 results.


 [1m4.3.2.8    Color Correction[0m

 In 24-bit printing mode, the Set gadget can be selected to tune the Gamma
 Correction  and  Undercolor  Removal  settings.  Section  4.3.3.11 (Color
 Separation)  of  the  manual  has  more  on  printing inks, while section
 4.3.3.11.1  (Color Correction and Undercolor Removal) explains undercolor
 removal,  which  in  24-bit  printing  is  similar to the same feature of
 Personal Paint's PostScript mode.

 Personal Paint can correct each ink component (e.g. cyan, magenta, yellow
 or black) separately. The Component cycle gadget allows to switch between
 the individual correction tables.

 Clicking  on the graph reverses the notation. By default, low ink-density
 values are placed at the lower left of the graph. This is the traditional
 orientation used in the printing industry.

 The  Brightness  and  Contract  knobs  act  as described in section 7.1.4
 (Adjust Palette) of the manual.

 Ink  smear and overlapping dots ("dot gain") cause the printer to respond
 in  a  non-linear  way  to  the  color  information  it receives from the
 computer.  The Gamma Correction function is  used to compensate for this.
 Gamma values  < 1  make the  image lighter.  Values >  1 cause  it to  be
 printed  darker. An appropriate gamma curve can drastically improve image
 quality, while at  the same time  limiting the loss  of information to  a
 minimum, if any.

 The  program default values can  be adjusted in order  to obtain a closer
 match between the picture which  is displayed, and the printed  image. To
 further  tune the values to suit a  particular image, it may be useful to
 print  small,  "critical"  regions  of  the  image  using the Print Brush
 function.


 [1m4.5        Image and Screen Format[0m

 The  new Lock Display Mode  gadget, to the right  of the field indicating
 the selected screen mode, prevents the Load Image function from  changing
 either the display mode or the setting of the Autoscroll option.

 By  activating this option,  together with Autoscroll,  it is possible to
 quickly view a series of images having the most different formats,  while
 at the same time preventing flickering on multiscan monitors.


 [1m4.5.4      Autoscroll[0m

 The Autoscroll option, which is supported by Amiga operating systems from
 version  2.0, enables automatic scrolling if  the page exceeds the screen
 format. Scrolling is performed as  soon as the mouse pointer  reaches the
 edges of the screen. Some display cards which are available for the Amiga
 require  this option in order  to open custom screens  in given sizes. In
 some overscan modes,  autoscroll may not  be completely supported  by the
 operating  system. If the title bar is hidden (section 3.3), menus can be
 displayed by holding down the <Ctrl>  key when the right mouse button  is
 pressed.


 [1m4.5.5      Retargetable Graphics (RTG)[0m

 Some  display cards store the image data  in a region of RAM which cannot
 be accessed by the Amiga blitter. Other expansion boards use an  internal
 copy  of the  image data,  which is  automatically updated by the display
 driver software whenever  the image is  modified. Changes applied  to the
 image by the blitter, however, may not be detected under all conditions.

 Personal  Paint may use the Amiga blitter directly whenever this improves
 performance on  standard Amiga  computers. Activation  of the  RTG option
 inhibits  any  use  of  the  blitter  which  might pass undetected by the
 display card, or conflict with  its RAM allocation scheme. In  Auto mode,
 Personal  Paint detects whether RTG is required for the particular screen
 mode,  and  proceeds  as  necessary.  Unfortunately,  due  to the lack of
 standardization, this may not work with all graphics expansions. Whenever
 a  new display card  is used, it  is best to  test the different settings
 with all video modes.


 [1m4.10       Delete File[0m

 The menu item has been removed. This  option is now a gadget in the  file
 requester.


 [1m7.1        Palette[0m

 In  the English  version of  Personal Paint,  HSB replaces the former HSV
 text in the  Color Palette requester.  The letter "B"  was required as  a
 shortcut.

 It is easy to forget that it is always possible to move the mouse outside
 the  requester and  pick a  color. In  particular, the full palette which
 appears on the Tool Bar can be used.


 [1m8.7.2      Pattern Dithering[0m

 All  pattern  dithering  procedures  have  been  rewritten  and   greatly
 improved.  This option is  now almost as  fast as Simple Color Remapping,
 with a quality closer to that of Floyd-Steinberg.

 Since regular dot-patterns  are used, images  processed with this  option
 are  compressed  more  efficiently  when  saved  in the most popular file
 formats.


 [1mA.         Program Messages[0m

 [1mThe drawer is not empty[0m

 Delete was used to remove a non-empty directory.


 [1mImage data is incomplete[0m

 Personal Paint can now load incomplete or corrupt image files.


 [1mB.         Command Shortcuts[0m

 <Right Amiga>+<Return>  or <Right  Mouse Button>  can be  used to  exit a
 string gadget (e.g. to enter a keyboard shortcut).

   [3mImage and Screen Format[0m
   <Down> = Copy screen size to image size
   <Up>   = Copy image size to screen size

   [3mFile Requester[0m
   <Down>/<Up> = ListView

   [3mFont Requester[0m
   <Down>/<Up> = ListView (font names)
   <Left>/<Right> = ListView (font size/attributes)

   [3mFilter Requester[0m
   <Down>/<Up> = ListView

   [3mGrab Screen[0m
   <Down>/<Up> = ListView

   [3mArea Settings[0m
   <Left> = Gradient Mode (Shift-Left to cycle backwards)
   <Right> = Gradient Type (Shift-Right to cycle backwards)

   [3mColor Statistics[0m
   <Left> = Scroll histogram to the left (keyboard autorepeat)
   <Right> = Scroll histogram to the right (keyboard autorepeat)

   [3mPalette Requester[0m
   <Up> = Scroll color bar to the left (keyboard autorepeat)
   <Down> = Scroll color bar to the right (keyboard autorepeat)

   [3mEdit Stencil[0m
   Show Stencil must be mouse-activated (no keyboard shortcuts)


 [1mC.2        Environment Settings[0m

 [1mLOCKDISP[0m  (Lock Display Mode - Section 4.5)

 LOCKDISP = Lock Activation

 0 = Unlocked, 1 = Locked.


 [1mPRINTCOR[0m  (Printer Color Correction - Section 4.3.2.8)

 PRINTCOR = GraphType GreyBright GreyContrast GreyGamma
            CyanBright CyanContrast CyanGamma
            MagentaBright MagentaContrast MagentaGamma
            YellowBright YellowContrast YellowGamma
            BlackBright BlackContrast BlackGamma
            UcrM  UcrY

 GraphType: 0 = Normal Graph, 1 = Reversed Notation.

 Brightness and Contrast range: -100 .. 100.

 Gamma range: 1000 .. 160000 (in units/10000, i.e. 0.1 .. 16.0)

 UCR range: LONGMIN .. LONGMAX (in percent/10000 - 0% = No Correction)


 [1mPRINTSYS[0m  (System Printer Settings - Section 4.3.2)

 Shade: 4 = "8-bit Grey", 5 = "24-bit Color"


 [1mC.3        Read-Only Settings[0m

 The following program settings are dedicated to the more technical users.
 Personal  Paint does not write these  settings. They can only be inserted
 in  a  file  using  a  text  editor  or a word processor such as Personal
 Write.


 [1mREDBITS, GREENBITS, BLUEBITS[0m

 REDBITS = RedBits

 GREENBITS = GreenBits

 BLUEBITS = BlueBits

 Range: 0 .. 8 (0 = Display Mode Default; All set to 8 = 24-bit palette)

 This  option forces Personal  Paint to use  a certain number  of bits for
 each color  component in  the color  palette, regardless  of the hardware
 being used.

 For example, to emulate the limitations of an Original Chip Set system on
 an  AGA computer,  all three  values should  be set  to 4. Conversely, in
 order not  to lose  information when  working with  some common 12-bit or
 18-bit hardware (e.g. ECS systems, or Picasso graphics boards), all three
 values should be set to 8.

 Interesting  image processing  effects can  be obtained  by selecting low
 values (e.g. 1 to emulate CMYK/RGBW devices).


 [1mTHICKX, THICKY[0m

 THICKX = HorizontalThickness

 THICKY = VerticalThickness

 These settings determine  the horizontal and  vertical thickness of  most
 user  interface items (tools, borders, bars, etc.) A value of 0 indicates
 dynamic thickness (i.e. selected by  the program depending on the  screen
 size),    1   =   single   thickness,   2   =   double-thickness,   3   =
 quadruple-thickness, and  so on.  In practice,  manual thickness  setting
 never  causes  objects  to  appear  larger  than they would with with the
 option set to 0. Otherwise, some requesters would not fit on the screen.

 Range: 0 .. 128.



 [1mNotes[0m

 The installation  script now  offers the  option of  installing both  the
 HP_DeskJet printer drivers and the JPEG DataType files.

 The  HP_DeskJet drivers are included under  license or with permission of
 Commodore-Amiga Inc. The 550C driver uses black ink in addition to  cyan,
 magenta  and yellow, and is not bound by the previous 10 inch size-limit.
 These are also the first versions  of the drivers without the famous  RLE
 compression  bug. The 550C driver uses  the Threshold value to modify the
 levels of depletion (1 = no depletion) and Density to activate  shingling
 (values from 5 to 7).

 The  JPEG DataType software is included with the kind permission of Steve
 Goddard. It  only works  on Amigas  equipped with  68020 or  higher CPUs.
 Additional  documentation is provided  in the "JPEG.datatype.guide" file,
 which can be displayed by  AmigaGuide. To install the software,  the JPEG
 file   must   be   copied   in   Devs/DataTypes,   and   JPEG.datatype in
 Classes/DataTypes of the system disk. The JPEG DataType may require a lot
 of memory for temporary files, which it stores in JPEGTMP:. It is  useful
 to  put an Assign command in the user-startup file, assigning JPEGTMP: to
 RAM: (if  the system  has a  lot of  memory) or  to a  peripheral storage
 unit.

 The   PPaint  file  is   now  compressed  using   Imploder,  rather  than
 PowerPacker. Personal Paint can be decompressed during installation.  The
 executable  file decompression routines were written by Peter Struijk and
 Albert J. Brouwer.

 Personal Paint  and the  Personal Fonts  Maker Color  Extensions normally
 share  the same Personal.font  for their user  interface. The font itself
 has been upgraded a few times.  If you have both programs installed,  and
 experience  difficulties because one  of the two  programs expects an old
 version of the font, just remove the font from your FONTS: directory. All
 versions of Personal  Paint and PFM2  also search for  the font in  their
 local  directories, where  the font  is normally  copied during automatic
 installation.

 For  more  information  on  upgrades  and  other Cloanto products, please
 contact  the local distributors named at the  end of this file. From time
 to time, information is mailed directly to users of our packages. To take
 advantage of this, don't forget to mail the registration card which  came
 with the product.



 [1mCloanto Product Presentation: Personal Write[0m

 Personal  Write is an extremely fast  word processor packed with original
 capabilities. It fully exploits unique Amiga characteristics like windows
 and  multitasking.  Personal  Write  does  not  limit  the number of text
 windows  which can be displayed at the  same time. A built-in spooler can
 print even the longest texts in the background, while the program is used
 to  do  other  work.  Personal  Write can encrypt confidential documents,
 which  become unreadable  to unauthorized  users, and  save disk space by
 compressing texts. Personal Write is also a powerful tool for  converting
 texts  into different formats. It can  load and save texts combining more
 than 25 character sets of  the most widely used computers.  Control codes
 can  be added  or removed,  as required  by desktop  publishing programs,
 Amiga  system  functions  or  other  hardware  and software environments.
 Thousands of combinations of printer settings can be selected to make the
 best  use of features  like the PostScript  driver, the multistrike print
 mode, support  for automatic  justification with  proportional characters
 and  Personal Fonts Maker fonts. Alphanumerical labels can be used in the
 text for mail  merge or to  reorganize data. Pictures  can be loaded  and
 printed.  Keyboard shortcuts  and the  texts which  are displayed  can be
 redefined to personalize the user interface (which includes stereo  sound
 effects).  An automatic hard disk  installation procedure can be selected
 with the mouse.

 [3m512 Kbytes of  RAM, 1 disk drive required; 1 Mbyte of RAM recommended[0m


 [1mCloanto Product Presentation: Personal Fonts Maker[0m

 The Personal Fonts Maker is a powerful tool for designing and  processing
 fonts. Amiga fonts and fonts created with the Personal Fonts Maker can be
 transferred  to the  printer memory  and printed  at maximum  quality and
 speed. The Personal Fonts Maker can output fonts in formats which can  be
 read  by other Amiga programs, by other  computers and by a vast range of
 differing  printers  (even  48-pin  and  laser printers). The program can
 handle   IFF  graphics.  It   is  possible,  for   example,  to  work  on
 typographical   fonts   input   from   a   scanning   device.  Repetitive
 transformations on characters or entire fonts can be recorded, stored and
 executed  as macros. A special programming language can be used to define
 the format  in which  fonts are  to be  saved or  sent to  a printer. The
 Personal  Fonts Maker package includes a  multitude of original fonts and
 support tools like the Printer Driver Modifier, which allows the user  to
 personalize  printer drivers.  It is  easy -  and fun  - to work with the
 Personal Fonts Maker, thanks to the elegant and intuitive user  interface
 (with  stereo  sound  effects).  The  manual  is  full  of  examples  and
 introductory sections for novice users, and comes complete with technical
 information for Amiga experts.

 [3m512 Kbytes of RAM, 1 disk drive required; 1 Mbyte of RAM recommended[0m


 [1mPersonal Fonts Maker AGA Color Extensions[0m

 The  Color   Extensions  disk   adds  powerful   color  font   processing
 capabilities to the basic package. Most of Personal Paint's editing tools
 have  been  incorporated  into  the  package.  For  the first time, it is
 possible to process fonts  in up to 256  colors and no size  limit. Among
 others,  special functions for anti-aliasing  (even using an Amiga vector
 font as a point of departure) and right-to-left fonts are provided.  This
 makes  it an  ideal companion  to video  applications, and  a must in the
 titling environment.

 [3m1 Mbyte RAM, 1 disk drive required; 1 Mbyte of Chip RAM recommended[0m


 [3mCloanto  Personal  Paint,  (C)  Cloanto  Italia  1992-1994,  All   Rights
 Reserved.  Cloanto,  Personal  Paint,  PPaint,  Personal  Write,  PWrite,
 Personal Fonts Maker, PFM: (R), (TM) Cloanto Italia. Please refer to  the
 user manuals for further information.[0m


 Cloanto Italia sas                          Tel +39 432 545902
 PO Box 118                                  Fax +39 432 609051
 I - 33100 Udine                             Bbs +39 432 545905

 [3mUser   and  dealer  inquiries   should  be  addressed   to  the  national
 distributors.[0m

  [3mGerman Area:[0m
  Casablanca Multimedia GmbH                  Tel +49 234 72035
  Wiemelhauser Strae 247 a                   Fax +49 234 72060
  D - 44799 Bochum

  [3mGreat Britain:[0m
  Meridian Software Distribution Ltd.         Tel +44 81 5433500
  East House                                  Fax +44 81 5432255
  East Road Industrial Estate
  GB - London SW19 1AH

  [3mNorth America:[0m
  Haitex Resources, Inc.                      Tel +1 803 881-7518
  PO Box 20609                                Fax +1 803 881-7522
  USA - Charleston, SC 29413-0609             Bbs +1 803 881-7522

  [3mItaly:[0m
  CTO spa                                     Tel +39 51 753133
  Via Piemonte 7/f                            Fax +39 51 753418
  I - 40069 Zola Predosa

  [3mItaly - Mail Order:[0m
  Lago snc                                    Tel +39 31 300174
  Via Benzi 18                                Fax +39 31 300214
  I - 22100 Como

  [3mSweden:[0m
  ProComp                                     Tel +46 472 70845
  Box 46                                      Fax +46 472 71680
  S - 340 36 Moheda                           Bbs +46 472 71270

  [3mFrench Area:[0m
  Adept Marketing                             Tel +41 21 7022626
  Rte. de Renens 1                            Fax +41 21 7022629
  CH - 1030 Bussigny-prs-Lausanne

  [3mGreece:[0m
  Multi-RAK                                   Tel +49 234 9489411
  Karnassiotis & Radouniklis GBR              Fax +49 234 9489444
  Prinz-Regent-Strae 70
  D - 44795 Bochum

  [3mPacific Rim:[0m
  Amadeus Computers                           Tel +61 2 652-2712
  34 Tecoma Drive                             Fax +61 2 652-1515
  Glenorie NSW 2157
  Australia
